Bug 15100 - smbclient commands del & deltree fail with NT_STATUS_OBJECT_PATH_NOT_FOUND with DFS
Summary: smbclient commands del & deltree fail with NT_STATUS_OBJECT_PATH_NOT_FOUND wi...
Status: RESOLVED FIXED
Alias: None
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Tools (show other bugs)
Version: 4.14.0
Hardware: All All
: P5 normal (vote)
Target Milestone: ---
Assignee: Jule Anger
QA Contact: Samba QA Contact
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-06-17 10:46 UTC by Noel Power
Modified: 2022-06-28 06:52 UTC (History)
1 user (show)

See Also:


Attachments
git-am fix for 4.16.next, 4.15.next. (17.09 KB, patch)
2022-06-17 20:58 UTC, Jeremy Allison
npower: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Noel Power 2022-06-17 10:46:32 UTC

    
Comment 1 Noel Power 2022-06-17 10:47:30 UTC
this is an regression introduced since 4.14
have a patch, preparing merge request and tests
Comment 2 Jeremy Allison 2022-06-17 15:32:29 UTC
Thanks for being on top of this Noel !
Comment 4 Samba QA Contact 2022-06-17 17:13:04 UTC
This bug was referenced in samba master:

39672a9676bff53d3ccc0ad7c1fa65a95cbceaab
db1b4df0ab3b18821da3c2dbe6d6058f0c3019b8
7c4cb4982330cd2eda53950e977179920b1e3b04
23a5a05db03a8f14ab701005a8bec9a3eeff3d77
81fdcf95ae92a02f83501753dec0f29ddd555eeb
Comment 5 Jeremy Allison 2022-06-17 20:58:28 UTC
Created attachment 17370 [details]
git-am fix for 4.16.next, 4.15.next.

Cherry-picked and back-ported from master.
Comment 6 Noel Power 2022-06-20 08:45:35 UTC
thanks for the backports Jeremy
Comment 7 Noel Power 2022-06-20 08:46:05 UTC
reassign to Jule for inclusion in 4.15, 4.16
Comment 8 Jule Anger 2022-06-20 08:52:04 UTC
Pushed to autobuild-v4-{16,15}-test.
Comment 9 Samba QA Contact 2022-06-20 09:51:12 UTC
This bug was referenced in samba v4-15-test:

4442b27ee48f8379edcdb54f284ade9cd14e1bc2
468736e75468a321620e916d13c1bfef09430fb1
afb6650939862fdabe15739181cf5d2418a53bb7
25fa2c753040ea2af403cecf65373844b83c2814
c7b633f3172f3db5d17e5a30b8987b1b6963bc96
Comment 10 Samba QA Contact 2022-06-20 10:57:03 UTC
This bug was referenced in samba v4-16-test:

8db232cb6a0750dc6c238df360b8ffb23e00bef8
2f105c9f541963db4f94699fbc7060ff791a04ed
8bac5eedc79b022ec39c7ab1c45926d90a28a939
659d6140f112ad12dca0e7cc1c7e59c481434c14
94a94383bbd4123f5606fca7536d29c201827c1d
Comment 11 Jule Anger 2022-06-20 10:57:50 UTC
Closing out bug report.

Thanks!
Comment 12 Samba QA Contact 2022-06-28 06:52:41 UTC
This bug was referenced in samba v4-15-stable (Release samba-4.15.8):

4442b27ee48f8379edcdb54f284ade9cd14e1bc2
468736e75468a321620e916d13c1bfef09430fb1
afb6650939862fdabe15739181cf5d2418a53bb7
25fa2c753040ea2af403cecf65373844b83c2814
c7b633f3172f3db5d17e5a30b8987b1b6963bc96